org.springframework.cloud.dataflow.rest.resource.about

## Class RuntimeEnvironmentDetails

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.resource.about.RuntimeEnvironmentDetails

-     public class RuntimeEnvironmentDetails
      extends Object

  Provides runtime environment details for either a deployer or task launcher.
  Author:
    Gunnar Hillert
  See Also:
    `RuntimeEnvironment`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeEnvironmentDetails()` Default constructor for serialization frameworks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeployerImplementationVersion()`
    `String` | `getDeployerName()`
    `String` | `getDeployerSpiVersion()`
    `String` | `getJavaVersion()`
    `String` | `getPlatformApiVersion()`
    `String` | `getPlatformClientVersion()`
    `String` | `getPlatformHostVersion()`
    `Map<String,String>` | `getPlatformSpecificInfo()`
    `String` | `getPlatformType()`
    `String` | `getSpringBootVersion()`
    `String` | `getSpringVersion()`
    `void` | `setDeployerImplementationVersion(String deployerImplementationVersion)`
    `void` | `setDeployerName(String deployerName)`
    `void` | `setDeployerSpiVersion(String deployerSpiVersion)`
    `void` | `setJavaVersion(String javaVersion)`
    `void` | `setPlatformApiVersion(String platformApiVersion)`
    `void` | `setPlatformClientVersion(String platformClientVersion)`
    `void` | `setPlatformHostVersion(String platformHostVersion)`
    `void` | `setPlatformSpecificInfo(Map<String,String> platformSpecificInfo)`
    `void` | `setPlatformType(String platformType)`
    `void` | `setSpringBootVersion(String springBootVersion)`
    `void` | `setSpringVersion(String springVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeEnvironmentDetails

          public RuntimeEnvironmentDetails()

      Default constructor for serialization frameworks.

  - ### Method Detail

    - #### getDeployerImplementationVersion

          public String getDeployerImplementationVersion()

    - #### setDeployerImplementationVersion

          public void setDeployerImplementationVersion(String deployerImplementationVersion)

    - #### getDeployerName

          public String getDeployerName()

    - #### setDeployerName

          public void setDeployerName(String deployerName)

    - #### getDeployerSpiVersion

          public String getDeployerSpiVersion()

    - #### setDeployerSpiVersion

          public void setDeployerSpiVersion(String deployerSpiVersion)

    - #### getJavaVersion

          public String getJavaVersion()

    - #### setJavaVersion

          public void setJavaVersion(String javaVersion)

    - #### getPlatformApiVersion

          public String getPlatformApiVersion()

    - #### setPlatformApiVersion

          public void setPlatformApiVersion(String platformApiVersion)

    - #### getPlatformClientVersion

          public String getPlatformClientVersion()

    - #### setPlatformClientVersion

          public void setPlatformClientVersion(String platformClientVersion)

    - #### getPlatformHostVersion

          public String getPlatformHostVersion()

    - #### setPlatformHostVersion

          public void setPlatformHostVersion(String platformHostVersion)

    - #### getPlatformSpecificInfo

          public Map<String,String> getPlatformSpecificInfo()

    - #### setPlatformSpecificInfo

          public void setPlatformSpecificInfo(Map<String,String> platformSpecificInfo)

    - #### getPlatformType

          public String getPlatformType()

    - #### setPlatformType

          public void setPlatformType(String platformType)

    - #### getSpringBootVersion

          public String getSpringBootVersion()

    - #### setSpringBootVersion

          public void setSpringBootVersion(String springBootVersion)

    - #### getSpringVersion

          public String getSpringVersion()

    - #### setSpringVersion

          public void setSpringVersion(String springVersion)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.